Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.filters.impl
Class WeightedEdgeGraphFilter

    java.lang.Object
      edu.uci.ics.jung.graph.filters.GeneralEdgeAcceptFilter
          edu.uci.ics.jung.graph.filters.impl.WeightedEdgeGraphFilter

All Implemented Interfaces:
  EfficientFilter, Filter, LevelFilter

public class WeightedEdgeGraphFilter
extends GeneralEdgeAcceptFilter
implements LevelFilter, EfficientFilter

This simple filter accepts Edges if their EdgeWeightLabeller turns out to be greater than the input value.

Author:
  danyelf

Constructor Summary
`WeightedEdgeGraphFilter(int threshold, EdgeWeightLabeller el)`

Method Summary
`boolean` | `acceptEdge(Edge e)` Determines whether the current edge should be accepted into the Graph.
`String` | `getName()` (non-Javadoc)
`int` | `getValue()`
`void` | `setValue(int threshold)`

Methods inherited from class edu.uci.ics.jung.graph.filters.GeneralEdgeAcceptFilter
`filter, filter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.uci.ics.jung.graph.filters.Filter
`filter`

Methods inherited from interface edu.uci.ics.jung.graph.filters.EfficientFilter
`filter`

Constructor Detail

### WeightedEdgeGraphFilter

    public WeightedEdgeGraphFilter(int threshold,
                                   EdgeWeightLabeller el)

Method Detail

### getName

    public String getName()

  (non-Javadoc)

  Specified by:
    `getName` in interface `Filter`
  Returns:
    A string that describes the filter.
  See Also:
    `Filter.getName()`

### setValue

    public void setValue(int threshold)

  Specified by:
    `setValue` in interface `LevelFilter`

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `LevelFilter`

### acceptEdge

    public boolean acceptEdge(Edge e)

  Description copied from class: `GeneralEdgeAcceptFilter`
  Determines whether the current edge should be accepted into the Graph. User should override this method.

  Specified by:
    `acceptEdge` in class `GeneralEdgeAcceptFilter`
  Parameters:
    `e` - the input edge that is being evaluated.
  Returns:
    whether the edge should be accepted or not

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD